
/*     *******************************************************************************
	XVisual GUI Development System for Linux/X-Window
	Copyright (C) 1996 Steve Carrie.

        This program is free software; you can redistribute it and/or modify
        it under the terms of the GNU General Public License as published by
        the Free Software Foundation; either version 2 of the License, or
        (at your option) any later version.

        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License for more details.

        You should have received a copy of the GNU General Public License
        along with this program; if not, write to the Free Software
        Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
        ******************************************************************************* */

#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/xpm.h>
#include <string.h>
#include <X11/xv/xvCore.h>
#include <X11/xv/xvBasicBitmap.h>

// ---------------------------------------------

xvBasicBitmap::xvBasicBitmap()
{ 
}

// ---------------------------------------------

xvBasicBitmap::xvBasicBitmap(String name, xvCore & object, int ptype)
{
	init(name, object, ptype);
}

// ---------------------------------------------

xvBasicBitmap::~xvBasicBitmap()
{
}

// ---------------------------------------------

void xvBasicBitmap::init(String name, xvCore & object, int pixtype)
{
	init(name, object.ID(), pixtype);
}

// ---------------------------------------------

void xvBasicBitmap::init(String name, Widget wid, int pixtype)
{ 
	xvdisplay=XtDisplay(wid);
	xvwindow=RootWindowOfScreen(XtScreen(wid));
	if (name != NULL) 
		ReadFile(name, pixtype);
}		

// ---------------------------------------------

int xvBasicBitmap::ReadFile(String name, int pixtype)
{
	int bmr=0;
	if (pixtype==XVBITMAP)
		bmr=XReadBitmapFile(xvdisplay, xvwindow, name, &width, &height,
			&xvpixmap, &hotx, &hoty);
	else
		bmr=XpmReadFileToPixmap(xvdisplay, xvwindow, name, &xvpixmap, &dxvpixmap,
			NULL);

	return(bmr);
}

// ---------------------------------------------

Pixmap xvBasicBitmap::GetPixmap()
{
	return(xvpixmap);
}

// ----------------------------------------------
