
/*     *******************************************************************************
	XVisual GUI Development System for Linux/X-Window
	Copyright (C) 1996 Steve Carrie.

        This program is free software; you can redistribute it and/or modify
        it under the terms of the GNU General Public License as published by
        the Free Software Foundation; either version 2 of the License, or
        (at your option) any later version.

        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License for more details.

        You should have received a copy of the GNU General Public License
        along with this program; if not, write to the Free Software
        Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
        ******************************************************************************* */

#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Xaw3d/Dialog.h>
#include <X11/xv/xvCore.h>
#include <X11/xv/xvFont.h>
#include <X11/xv/xvDialog.h>

// ---------------------------------------------

xvDialog::xvDialog()
{
	alloc=FALSE;
}

// ---------------------------------------------

xvDialog::xvDialog(String name, xvCore &  parent, String header, String defaultdata)
{
	init(name, parent, header, defaultdata);
}

// ---------------------------------------------

xvDialog::~xvDialog()
{
	if (alloc) XtDestroyWidget(w);
}

// ---------------------------------------------

void xvDialog::init(String name, xvCore & parent, String defaultdata, String header)
{
	init(name, parent.ID(), defaultdata, header);
}

// ---------------------------------------------

void xvDialog::init(String name, Widget parent, String defaultdata, String header)
{
	w=XtVaCreateManagedWidget(name, dialogWidgetClass, parent,
			"value", defaultdata,
			"label", header,
			NULL);
	alloc=TRUE;
	bfont.init(w, NULL);
}

// ---------------------------------------------

void xvDialog::ChangeFont(String fontname)
{
	if (fontname != NULL) {
		bfont.FLoadFont(fontname);
		XtVaSetValues(w, XtNfont, (XtArgVal) bfont.FontRef(), NULL);
	}
}

// -----------------------------------------------------------------

String xvDialog::GetDialog()
{
	return(XawDialogGetValueString(w));
}

// ---------------------------------------------

void xvDialog::AddButton(String name, XtCallbackProc callback, XtPointer client_data)
{
	XawDialogAddButton(w, name, callback, client_data);
}

// ----------------------------------------------
	