
/*     *******************************************************************************
	XVisual GUI Development System for Linux/X-Window
	Copyright (C) 1996 Steve Carrie.

        This program is free software; you can redistribute it and/or modify
        it under the terms of the GNU General Public License as published by
        the Free Software Foundation; either version 2 of the License, or
        (at your option) any later version.

        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License for more details.

        You should have received a copy of the GNU General Public License
        along with this program; if not, write to the Free Software
        Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
        ******************************************************************************* */

/* =============================================
	xvis user interface builder for Athena widgets using
	xv class library.

	Help Segment

	V1.0BETA  - last edited 01/07/96
    ============================================= */

// ---------------------------------------------
// Include file declarations

#include "xvis.h"
#include <string.h>
#include <stdio.h>

// ---------------------------------------------
// local forward function declares

// --------------------------------------------
// Callbacks

void about_call(Widget aw, XtPointer client, XtPointer call)
{
	xvisAbout.Close();
}

//---------------------------------------------
// Local Stuff

void buildAboutWindow()
{
	xvisAbout.init("About...", xvisControl);
	aboutform.init("aboutform", xvisAbout);
	aboutform.SetBackground("gray85");

	aboutmap.init("aboutmap", aboutform);
	aboutmap.SetPixmapInfo(xvis_xpm, XtNbitmap);

	aboutlabel.init("aboutlabel", aboutform);
	aboutlabel.SetBackground("gray88");
	aboutlabel.SetBorderWidth(0);
	aboutlabel.SetRelVertical(aboutmap);
	aboutlabel.ChangeFont("*times-*-r-*-140*");
	aboutlabel.SetJustify(XtJustifyCenter);
	aboutlabel.SetLabel("xvis XIB version 1.0.1\nlibxv version 1.0.1\n\n01st July 1996\n\nSteve Carrie\n");

	aboutbutton.init("OK", aboutform, about_call);
	aboutbutton.ChangeFont("*times-*-r-*-140*");
	aboutbutton.SetRelVertical(aboutlabel);
	aboutbutton.SetShadowWidth(4);
	aboutbutton.SetBackground("gray70");
	aboutbutton.SetSize(80, 30);
	aboutbutton.SetBeNiceToColormap(FALSE);

	int mid=aboutlabel.GetWidth()/2;
	
	aboutbutton.SetHorizDistance(mid-aboutbutton.GetWidth()/2);
	aboutmap.SetHorizDistance(mid-aboutmap.GetWidth()/2);

}
